<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Api\Data;

interface PriceDataInterface
{
    /**
     * @return string|null
     */
    public function getLowestPrice(): ?string;

    /**
     * @param string $lowestPrice
     * @return void
     */
    public function setLowestPrice(string $lowestPrice): void;

    /**
     * @return string|null
     */
    public function getLowestPriceMessage(): ?string;

    /**
     * @param string $lowestPriceMessage
     * @return void
     */
    public function setLowestPriceMessage(string $lowestPriceMessage): void;
}
