<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Api\Data;

use Magento\Framework\Api\ExtensibleDataInterface;

interface PriceHistoryInterface extends ExtensibleDataInterface
{
    /**
     * @return int
     */
    public function getProductId(): int;

    /**
     * @param int $productId
     *
     * @return void
     */
    public function setProductId(int $productId): void;

    /**
     * @return string
     */
    public function getDate(): string;

    /**
     * @param string $date
     *
     * @return void
     */
    public function setDate(string $date): void;

    /**
     * @return int
     */
    public function getCustomerGroupId(): int;

    /**
     * @param int $customerGroupId
     *
     * @return void
     */
    public function setCustomerGroupId(int $customerGroupId): void;

    /**
     * @return int
     */
    public function getWebsiteId(): int;

    /**
     * @param int $websiteId
     *
     * @return void
     */
    public function setWebsiteId(int $websiteId): void;

    /**
     * @return float|null
     */
    public function getLatestPrice(): ?float;

    /**
     * @param float $latestPrice
     *
     * @return void
     */
    public function setLatestPrice(float $latestPrice): void;

    /**
     * @return float
     */
    public function getNewPrice(): float;

    /**
     * @param float $newPrice
     *
     * @return void
     */
    public function setNewPrice(float $newPrice): void;

    /**
     * @return \Amasty\PriceHistory\Api\Data\PriceHistoryExtensionInterface|null
     */
    public function getExtensionAttributes();

    /**
     * @param \Amasty\PriceHistory\Api\Data\PriceHistoryExtensionInterface|null $extensionAttributes
     *
     * @return void
     */
    public function setExtensionAttributes(
        PriceHistoryExtensionInterface $extensionAttributes = null
    ): void;
}
