<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Block\Adminhtml\Listing\Buttons;

use Magento\Framework\View\Element\UiComponent\Context;
use Magento\Framework\View\Element\UiComponent\Control\ButtonProviderInterface;

class Clear implements ButtonProviderInterface
{
    /**
     * @var Context
     */
    private Context $context;

    public function __construct(
        Context $context
    ) {
        $this->context = $context;
    }

    public function getButtonData(): array
    {
        return [
            'label' => __('Clear Log'),
            'class' => 'primary',
            'on_click' => sprintf(
                "deleteConfirm(\"%s\",\"%s\")",
                __('Are you sure you want to clear the log?') . '<br>'
                . __('Please note that the log is required to display appropriate pricing.'),
                $this->context->getUrl('*/*/clear')
            ),
            'sort_order' => 10,
        ];
    }
}
