<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Controller\Adminhtml\PriceChange;

use Magento\Backend\App\Action;
use Magento\Framework\App\Action\HttpGetActionInterface;
use Magento\Framework\Controller\ResultFactory;

class Index extends Action implements HttpGetActionInterface
{
    public const ADMIN_RESOURCE = 'Amasty_PriceHistory::price_change_history';

    public function execute()
    {
        $resultPage = $this->resultFactory->create(ResultFactory::TYPE_PAGE);
        $resultPage->setActiveMenu('Amasty_PriceHistory::price_history');
        $resultPage->addBreadcrumb(__('Price History'), __('Price History'));
        $resultPage->getConfig()->getTitle()->prepend(__('Price Change History'));

        return $resultPage;
    }
}
