<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Cron;

use Amasty\PriceHistory\Model\ConfigProvider;
use Amasty\PriceHistory\Model\PriceHistory\ResourceModel\PriceHistory;

class HistoryCleaner
{
    /**
     * @var ConfigProvider
     */
    private ConfigProvider $configProvider;

    /**
     * @var PriceHistory
     */
    private PriceHistory $priceHistoryResource;

    public function __construct(
        ConfigProvider $configProvider,
        PriceHistory $priceHistoryResource
    ) {
        $this->configProvider = $configProvider;
        $this->priceHistoryResource = $priceHistoryResource;
    }

    public function execute(): void
    {
        if (!$this->configProvider->isEnabled()) {
            return;
        }

        if ($this->configProvider->isAutoClean() && ($period = $this->configProvider->getAutoCleanDays())) {
            $this->priceHistoryResource->clean($period);
        }
    }
}
