<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Model\Frontend\DisplayFilter;

use Amasty\PriceHistory\Model\ConfigProvider;
use Magento\Catalog\Api\Data\ProductInterface;
use Magento\Customer\Model\Context as CustomerContext;
use Magento\Framework\App\Http\Context;

class CustomerGroupFilter implements FilterInterface
{
    /**
     * @var Context
     */
    private $httpContext;

    /**
     * @var ConfigProvider
     */
    private $configProvider;

    public function __construct(
        Context $httpContext,
        ConfigProvider $configProvider
    ) {
        $this->httpContext = $httpContext;
        $this->configProvider = $configProvider;
    }

    public function show(ProductInterface $product): bool
    {
        $customerGroupId = (string)$this->httpContext->getValue(CustomerContext::CONTEXT_GROUP);
        $restrictedCustomerGroups = $this->configProvider->getRestrictedCustomerGroups();

        return !in_array($customerGroupId, $restrictedCustomerGroups, true);
    }
}
