<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Model\Frontend\DisplayFilter;

use Amasty\PriceHistory\Model\ConfigProvider;
use Magento\Catalog\Api\Data\ProductInterface;

class EnableFilter implements FilterInterface
{
    /**
     * @var ConfigProvider
     */
    private ConfigProvider $configProvider;

    public function __construct(
        ConfigProvider $configProvider
    ) {
        $this->configProvider = $configProvider;
    }

    public function show(ProductInterface $product): bool
    {
        $storeId = (int)$product->getStoreId();

        return $this->configProvider->isEnabled($storeId);
    }
}
