<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Model\Frontend;

class DisplayFilterPool
{
    /**
     * @var DisplayFilter\FilterInterface[]
     */
    private array $filters = [];

    public function __construct(
        array $filters = []
    ) {
        $this->initFilters($filters);
    }

    public function getAll(): array
    {
        return $this->filters;
    }

    private function initFilters(array $filters): void
    {
        foreach ($filters as $filter) {
            if (!$filter instanceof DisplayFilter\FilterInterface) {
                throw new \LogicException(
                    sprintf('Display Filter must implement %s', DisplayFilter\FilterInterface::class)
                );
            }
        }
        $this->filters = $filters;
    }
}
