<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Model\Frontend;

use Magento\Catalog\Api\Data\ProductInterface;

class DisplayValidator
{
    /**
     * @var DisplayFilterPool
     */
    private DisplayFilterPool $displayFilterPool;

    public function __construct(
        DisplayFilterPool $displayFilterPool
    ) {
        $this->displayFilterPool = $displayFilterPool;
    }

    public function validate(ProductInterface $product): bool
    {
        foreach ($this->displayFilterPool->getAll() as $displayFilter) {
            if (!$displayFilter->show($product)) {
                return false;
            }
        }

        return true;
    }
}
