<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Model\OptionSource;

use Magento\Framework\Data\OptionSourceInterface;

class DisplayPrices implements OptionSourceInterface
{
    public const NONE = 0;
    public const PRODUCT = 1;
    public const PRODUCT_AND_CATEGORY = 2;

    public function toOptionArray(): array
    {
        $result = [];

        foreach ($this->toArray() as $value => $label) {
            $result[] = ['value' => $value, 'label' => $label];
        }

        return $result;
    }

    public function toArray(): array
    {
        return [
            self::NONE => __('None'),
            self::PRODUCT => __('Product Pages'),
            self::PRODUCT_AND_CATEGORY => __('Product and Category Pages')
        ];
    }
}
