<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Model\PriceHistory\Processor;

interface PriceHistoryProcessorInterface
{
    /**
     * Performs preparation actions for further processing
     *
     * @param array|null $ids product ids
     *
     * @return void
     */
    public function initialize(?array $ids): void;

    /**
     * Executes logic of logging process
     *
     * @param array|null $ids product ids
     *
     * @return void
     */
    public function execute(?array $ids): void;
}
