<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Model\PriceHistory\ResourceModel\IndexProcessorActions;

use Magento\Framework\DB\Select;

class SelectModifiersApplier
{
    /**
     * @var SelectModifiersProvider
     */
    private SelectModifiersProvider $selectModifiersProvider;

    public function __construct(
        SelectModifiersProvider $selectModifiersProvider
    ) {
        $this->selectModifiersProvider = $selectModifiersProvider;
    }

    public function execute(Select $select): void
    {
        foreach ($this->selectModifiersProvider->get() as $modifier) {
            $modifier->modify($select);
        }
    }
}
