<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

namespace Amasty\PriceHistory\Model\Webapi;

use Amasty\PriceHistory\Api\Data\PriceDataInterface;
use Magento\Framework\DataObject;

class PriceData extends DataObject implements PriceDataInterface
{
    public const LOWEST_PRICE = 'lowest_price';
    public const LOWEST_PRICE_MESSAGE = 'lowest_price_message';

    public function getLowestPrice(): ?string
    {
        return $this->getData(self::LOWEST_PRICE);
    }

    public function setLowestPrice(string $lowestPrice): void
    {
        $this->setData(self::LOWEST_PRICE, $lowestPrice);
    }

    public function getLowestPriceMessage(): ?string
    {
        return $this->getData(self::LOWEST_PRICE_MESSAGE);
    }

    public function setLowestPriceMessage(string $lowestPriceMessage): void
    {
        $this->setData(self::LOWEST_PRICE_MESSAGE, $lowestPriceMessage);
    }
}
