<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Omnibus Price Tracker by Amasty
 */

use Amasty\PriceHistory\Model\PriceHistory\PriceHistory;
use Amasty\PriceHistory\Model\PriceHistory\ResourceModel\PriceHistory as PriceHistoryResource;
use Magento\Catalog\Api\ProductRepositoryInterface;
use Magento\TestFramework\Helper\Bootstrap;
use Magento\TestFramework\Workaround\Override\Fixture\Resolver;

Resolver::getInstance()->requireDataFixture('Magento/Catalog/_files/product_simple.php');

$objectManager = Bootstrap::getObjectManager();

$repository = $objectManager->get(ProductRepositoryInterface::class);
$product = $repository->get('simple');

/** @var PriceHistoryResource $resource */
$resource = $objectManager->get(PriceHistoryResource::class);
$connection = $resource->getConnection();
$tableName = $resource->getMainTable();

$connection->insertMultiple(
    $tableName,
    [
        [
            PriceHistory::PRODUCT_ID => $product->getId(),
            PriceHistory::DATE => date('Y-m-d H:i:s', strtotime('- 9 day')),
            PriceHistory::CUSTOMER_GROUP_ID => 0,
            PriceHistory::WEBSITE_ID => 1,
            PriceHistory::LATEST_PRICE => 0,
            PriceHistory::NEW_PRICE => 5
        ],
        [
            PriceHistory::PRODUCT_ID => $product->getId(),
            PriceHistory::DATE => date('Y-m-d H:i:s', strtotime('- 4 day')),
            PriceHistory::CUSTOMER_GROUP_ID => 0,
            PriceHistory::WEBSITE_ID => 1,
            PriceHistory::LATEST_PRICE => 5,
            PriceHistory::NEW_PRICE => $product->getPrice()
        ],
        [
            PriceHistory::PRODUCT_ID => $product->getId(),
            PriceHistory::DATE => date('Y-m-d H:i:s', strtotime('- 2 day')),
            PriceHistory::CUSTOMER_GROUP_ID => 0,
            PriceHistory::WEBSITE_ID => 1,
            PriceHistory::LATEST_PRICE => $product->getPrice(),
            PriceHistory::NEW_PRICE => 4
        ]
    ]
);
